import request from '@/utils/request'

// 查询附件列表
export function listEnclosure(query) {
  return request({
    url: '/warehouseBusiness/enclosure/list',
    method: 'get',
    params: query
  })
}

// 查询附件详细
export function getEnclosure(fId) {
  return request({
    url: '/warehouseBusiness/enclosure/' + fId,
    method: 'get'
  })
}

// 新增附件
export function addEnclosure(data) {
  return request({
    url: '/warehouseBusiness/enclosure',
    method: 'post',
    data: data
  })
}

// 修改附件
export function updateEnclosure(data) {
  return request({
    url: '/warehouseBusiness/enclosure',
    method: 'put',
    data: data
  })
}

// 删除附件
export function delEnclosure(fId) {
  return request({
    url: '/warehouseBusiness/enclosure/' + fId,
    method: 'delete'
  })
}

// 导出附件
export function exportEnclosure(query) {
  return request({
    url: '/warehouseBusiness/enclosure/export',
    method: 'get',
    params: query
  })
}